%define lib_name %mklibname gnome-media %{lib_major}
%define develname %mklibname -d gnome-media
%define lib_major 0
%define req_gail_version                       0.13
%define req_gstreamer_version		0.10

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME media programs
Name:		gnome-media
Version:	3.4.0
Release:	%mkrel 4
License:	GPLv2+ and GFDL+
Group:		Graphical desktop/GNOME
BuildRequires: pkgconfig(gconf-2.0) >= 2.6.1
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gobject-2.0) >= 2.18.2
BuildRequires: pkgconfig(gstreamer-0.10) >= 0.10.23
BuildRequires: pkgconfig(gstreamer-plugins-base-0.10) >= 0.10.23
BuildRequires: pkgconfig(gtk+-3.0) >= 2.91.0
BuildRequires: pkgconfig(libcanberra-gtk3) >= 0.13
BuildRequires: pkgconfig(libgnome-media-profiles-3.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires:	intltool >= 0.35
BuildRequires:	gnome-doc-utils
BuildRequires:	desktop-file-utils
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		gnome-media-3.4.0-gnome-control-center.patch
Patch2:		gnome-media-3.4.0-grec-pulse-prop.patch
Patch3:		gnome-media-3.4.0-grec-stop.patch
Patch4:		gnome-media-3.4.0-zh_CN.patch
URL:		http://www.gnome.org/
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-plugins-base
Suggests:	gstreamer0.10-flac
Suggests:	gstreamer0.10-speex
Suggests:	gnome-control-center
Obsoletes:	grecord
Provides:	grecord
Requires(post):	scrollkeeper >= 0.3
Requires(postun):	scrollkeeper >= 0.3
Requires(post):	GConf2 >= 2.3.3
Requires(preun):	GConf2 >= 2.3.3

%description
This package contains a few media utilities for the GNOME desktop,
including a sound recorder and an audio mixer.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
        --disable-schemas-install
%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="DesktopSettings" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/gstreamer-properties.desktop

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/gnome-sound-recorder.desktop

%find_lang %{name}-2.0 --with-gnome --all-name
for omf in %buildroot%_datadir/omf/*/{*-??.omf,};do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name-2.0.lang
done

%preun
%preun_uninstall_gconf_schemas gnome-sound-recorder

%files -f  %{name}-2.0.lang
%doc AUTHORS NEWS README
%_bindir/gstreamer-properties
%_bindir/gnome-sound-recorder
%_datadir/gnome-media/sounds/gnome-sounds-default.xml
%_datadir/sounds/gnome/default
%_iconsdir/*/*/*/gnome-sound-recorder*
%_iconsdir/*/*/*/gstreamer-properties*
%_sysconfdir/gconf/schemas/gnome-sound-recorder.schemas
%_datadir/gstreamer-properties
%_datadir/applications/gnome-sound-recorder.desktop
%_datadir/applications/gstreamer-properties.desktop
%_datadir/gnome-sound-recorder/ui/ui.xml
%_datadir/gstreamer-properties/gstreamer-properties.ui


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.4.0-4.mga3
+ Revision: 352149
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 fwang <fwang> 3.4.0-3.mga3
+ Revision: 297002
- suggest gnome-control-center for grec

* Mon Sep 24 2012 fwang <fwang> 3.4.0-2.mga3
+ Revision: 296989
- add some upstream bug fix patches

* Fri Jun 08 2012 fwang <fwang> 3.4.0-1.mga3
+ Revision: 257439
- update file list
- cleanup br

  + ovitters <ovitters>
    - disable autoreconf during build; not needed
    - use xz tarball
    - clean spec
    - new version 3.4.0 (just translation updates)

  + ahmad <ahmad>
    - Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Wed Jun 15 2011 dmorgan <dmorgan> 2.91.2-1.mga2
+ Revision: 107928
- Fix buildrequires
- New version 2.91.2

* Thu Mar 24 2011 boklm <boklm> 2.32.0-3.mga1
+ Revision: 76148
- rebuild for bug #497

* Wed Mar 09 2011 colin <colin> 2.32.0-2.mga1
+ Revision: 66773
- Standardise on volume amplification (this one goes up to +11dB) bgo#644292

* Sun Jan 23 2011 pterjan <pterjan> 2.32.0-1.mga1
+ Revision: 35434
- Fix BuildRequires for splitted out libcanberra-gtk
- imported package gnome-media

